<div class="col-8 offset-2 mt-3">
  <h2>{{title}}</h2>
  <hr>
  <div class="alert alert-success text-center" *ngIf="searchStatus=='success'">{{message}}</div>
  <div class="alert alert-warning text-center" *ngIf="searchStatus=='error'">{{message}}</div>
  <ul class="list-group">
    <li class="list-group-item" *ngFor="let video of videos">
      <a [routerLink]="['/video/detail',video.id]"><img src="https://img.youtube.com/vi/{{videoIds[video.id]}}/default.jpg" alt=""></a>
      <a [routerLink]="['/video/detail',video.id]"><h5 class="d-inline">{{video.title}}</h5></a>
      <span class="ml-4 text-muted">Creado: {{video.createdAt | amLocale:'es' | amDateFormat: 'DD/MM/YYYY' }}</span>
      <span class="float-right mr-5">
        <a class="btn btn-success mr-3" [routerLink]="['/video/detail',video.id]">Ver</a>
        <a class="btn btn-warning mr-3" [routerLink]="['/video/edit',video.id]" *ngIf="identity && identity.sub==video.user.id">Editar</a>
        <button type="button" class="btn btn-danger"  data-toggle="modal" [attr.data-target]="'#exampleModal'+video.id" *ngIf="identity && identity.sub==video.user.id">Borrar</button>
      </span>
      <div class="text-muted"><h6>{{video.description}}</h6></div>
      <!--Modal para borrar-->
      <div class="modal fade" id="exampleModal{{video.id}}" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Confirmar borrar vídeo</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                ¿Seguro que quieres borrar el vídeo "{{video.title}}"?
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
              <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="deleteVideo(video.id)">Borrar vídeo</button>
            </div>
          </div>
        </div>
      </div>

    </li>
  </ul>

  <div class="d-flex justify-content-center mt-4" *ngIf="pages && pages>1">
    <nav aria-label="Page navigation example">
      <ul class="pagination">
        <li class="page-item" *ngIf="page>1"><a class="page-link" style="cursor: pointer;"
            [routerLink]="['/myVideos',page-1]">Anterior</a></li>
        <li class="page-item" *ngFor="let pag of arrayPages"><a class="page-link"
            [routerLink]="['/myVideos',pag]">{{pag}}</a></li>
        <li class="page-item" *ngIf="page<pages"><a class="page-link" style="cursor: pointer;"
            [routerLink]="['/myVideos',page+1]">Siguiente</a></li>
      </ul>
    </nav>
  </div>

</div>